## python-homewizard-energy 8.0.0

=== debian/changelog ===
python-homewizard-energy (8.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Upstream now uses mashumaro and orjson.
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Sat, 11 Jan 2025 13:50:29 -0600

python-homewizard-energy (7.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Adjust debian/watch to handle alpha/beta versions.
  * Add new Build-Depends on python3-backoff.

 -- Edward Betts <edward@4angle.com>  Sun, 24 Nov 2024 14:12:02 +0000

python-homewizard-energy (6.1.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1087629)

 -- Edward Betts <edward@4angle.com>  Sat, 16 Nov 2024 14:57:27 +0100

## python-homewizard-energy 8.3.2

=== .github/workflows/requirements.txt ===
pip==24.3.1
poetry==1.8.5

## python-homewizard-energy 8.1.1

=== debian/changelog ===
python-homewizard-energy (8.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Thu, 23 Jan 2025 11:58:09 +0000

=== debian/control ===
Source: python-homewizard-energy
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
Build-Depends-Indep:
 python3-aiohttp <!nocheck>,
 python3-aresponses <!nocheck>,
 python3-backoff <!nocheck>,
 python3-mashumaro <!nocheck>,
 python3-orjson <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-syrupy <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/homewizard/python-homewizard-energy
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-homewizard-energy
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-homewizard-energy.git

Package: python3-homewizard-energy
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Library to communicate with HomeWizard Energy devices
 This library enables interaction with HomeWizard Energy devices like Wi-Fi P1
 Meter, Energy Socket, Watermeter, and KWh Meter. By using this library, users
 can obtain various measurements such as energy import/export, power
 consumption, voltage, current, and more from their devices. It provides
 functionality to control device features, such as switching the outlet state
 of the Energy Socket and managing the status light brightness. The library
 communicates locally with devices using the HomeWizard local API, allowing
 users to gather data on energy, power, water usage, and manage device states
 without requiring cloud connectivity.

## python-homewizard-energy 8.3.0

=== debian/changelog ===
python-homewizard-energy (8.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Upstream now depends on awesomeversion.

 -- Edward Betts <edward@4angle.com>  Wed, 29 Jan 2025 14:13:53 +0000

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
 Build-Depends-Indep:
  python3-aiohttp <!nocheck>,
  python3-aresponses <!nocheck>,
+ python3-awesomeversion <!nocheck>,
  python3-backoff <!nocheck>,
  python3-mashumaro <!nocheck>,
  python3-orjson <!nocheck>,

## python-homewizard-energy 8.3.2

=== debian/changelog ===
python-homewizard-energy (8.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 02 Feb 2025 11:09:59 +0100

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
  python3-poetry-core,
 Build-Depends-Indep:
  python3-aiohttp <!nocheck>,
+ python3-awesomeversion <!nocheck>,
  python3-aresponses <!nocheck>,
- python3-awesomeversion <!nocheck>,
  python3-backoff <!nocheck>,
  python3-mashumaro <!nocheck>,
  python3-orjson <!nocheck>,

=== debian/watch ===
version=4
https://github.com/homewizard/python-homewizard-energy/tags .*/v?(\d\S+)\.tar\.gz

## python-homewizard-energy 9.0.0

=== .github/workflows/requirements.txt ===
pip==25.0.1
poetry==2.1.1

=== debian/changelog ===
python-homewizard-energy (9.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.
  * Switch to autopkgtest-pkg-pybuild.
  * Adjust debian/watch to handle beta versions.

 -- Edward Betts <edward@4angle.com>  Sat, 29 Mar 2025 10:10:27 +0000

## python-homewizard-energy 9.2.0

=== .github/workflows/requirements.txt ===
pip==25.1.1
poetry==2.1.3

=== debian/changelog ===
python-homewizard-energy (9.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 20 Jun 2025 12:14:50 +0100

python-homewizard-energy (9.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 18 Jun 2025 10:39:05 +0100

## python-homewizard-energy 9.3.0

=== .github/workflows/requirements.txt ===
pip==25.2
poetry==2.1.3

=== debian/changelog ===
python-homewizard-energy (9.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Thu, 28 Aug 2025 23:46:51 +0100

=== debian/control ===
--- 
+++ 
@@ -22,10 +22,11 @@
  python3-pytest-cov <!nocheck>,
  python3-syrupy <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/homewizard/python-homewizard-energy
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-homewizard-energy
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-homewizard-energy.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-homewizard-energy
 Architecture: all

=== debian/watch ===
version=4
opts=uversionmangle=s/.alpha/~alpha/;s/.beta/~beta/;s/.rc/~rc/;s/([0-9])b([0-9]*)/$1~b$2/g \
https://github.com/homewizard/python-homewizard-energy/tags .*/v?(\d\S+)\.tar\.gz

## python-homewizard-energy 10.0.0

=== debian/changelog ===
python-homewizard-energy (10.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Fri, 19 Dec 2025 06:40:03 +0000

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,6 @@
  python3-pytest-asyncio <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-syrupy <!nocheck>,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/homewizard/python-homewizard-energy
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-homewizard-energy

## python-homewizard-energy 10.0.1

=== .github/workflows/requirements.txt ===
pip==25.3
poetry==2.2.1

=== debian/changelog ===
python-homewizard-energy (10.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Priority: optional', now the default.
  * Update Standards-Version.
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Wed, 14 Jan 2026 07:10:43 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -21,7 +20,7 @@
  python3-pytest-asyncio <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-syrupy <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/homewizard/python-homewizard-energy
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-homewizard-energy
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-homewizard-energy.git

=== debian/watch ===
Version: 5

Template: Github
Owner: homewizard
Project: python-homewizard-energy
